# Segmentation

Try out this capability in Bria's Automobile Playground

Description
Generates segmentation masks for specific vehicle parts from an input image, enabling further enhancements such as reflection generation or wheel refinement.  


This endpoint returns separate binary masks for each segmented region, including windows, wheels, and body parts. If a specific part is not detected in the image, it will be returned with an empty URL.  


The API supports input via image URL or base64-encoded image file, and also includes optional content moderation.

Endpoint: POST /product/vehicle/segment

## Header parameters:

  - `api_token` (string, required)
    API token associated with the organization.

## Request fields (application/json):

  - `image_url` (string)
    The URL of the image containing the vehicle to segment. If both image_url and file are provided, image_url will be used. Accepted formats are jpeg, jpg, png, webp. Max file size 12MB.

  - `file` (string)
    Base64-encoded image containing the vehicle to segment. Used only if image_url is not provided. Accepted formats are jpeg, jpg, png, webp. Max file size 12MB.

## Response 200 fields (application/json):

  - `windshield` (string)
    URL to the PNG mask of the windshield. Empty string if not detected.

  - `rear_window` (string)
    URL to the PNG mask of the rear window. Empty string if not detected.

  - `side_windows` (string)
    URL to the PNG mask of the side windows. Empty string if not detected.

  - `body` (string)
    URL to the PNG mask of the vehicle body. Empty string if not detected.

  - `wheels` (string)
    URL to the PNG mask of all visible wheels. Empty string if not detected.

  - `hubcap` (string)
    URL to the PNG mask of all visible hubcaps. Empty string if not detected.

  - `tires` (string)
    URL to the PNG mask of all visible hubcaps. Empty string if not detected.


## Response 400 fields

## Response 401 fields

## Response 404 fields

## Response 413 fields

## Response 415 fields

## Response 422 fields

## Response 429 fields

## Response 460 fields

## Response 500 fields
